package library;

/**
 * Support class for mathematical operations
 * 
 * @author Iris Lorscheid
 *
 */
public abstract class MathOperations {

	/**
	 * Method to round a double value to a value 
	 * with 1 decimal places.
	 * @param Double	-- value to round
	 * @return double	-- rounded double value x.x
	 */
	public static double roundTo1(double Double){
		return Math.round(Double * 10.) / 10.;
	}
	
	/**
	 * Method to round a double value to a value 
	 * with 2 decimal places.
	 * @param Double	-- value to round
	 * @return double	-- rounded double value x.xx
	 */
	public static double roundTo2(double Double){
		return Math.round(Double * 100.) / 100.;
	}
	
	/**
	 * Method to round a double value to a value 
	 * with 4 decimal places.
	 * @param Double	-- value to round
	 * @return double	-- rounded double value x.xxxx
	 */
	public static double roundTo4(double Double){
		return Math.round(Double * 10000.) / 10000.;
	}
}
