/* 
File: ParseOperations.java
--------------------------------------------------------
Support class compromising parse methods.

*/

package library;
import java.util.*;
import javax.swing.JOptionPane;

public class ParseOperations {

	private static Scanner scan;

	/**
	 * Method to parse Integer values from Strings
	 * -----------------------------------------------------------------
	 * @param input
	 * @param field (Position of input - for error message)
	 * @return ArrayList of integer values.
	 */
	public static ArrayList<Integer> parseIntValues(String input, String field){
		ArrayList<Integer> inputValues = new ArrayList<Integer>();
		scan = new Scanner(input);
		
		while(scan.hasNext()){
			try{
				inputValues.add(scan.nextInt());
			} catch (InputMismatchException e) {
				JOptionPane.showMessageDialog(null,
                        new String("Please insert Integer values for " + field),
                        "LAMDA - error message",
    				    JOptionPane.ERROR_MESSAGE);
    			System.exit(0);
			}
		}
		return inputValues;
	}


    public static ArrayList<Double> parseDoubleValues(String input, String field){
		ArrayList<Double> inputValues = new ArrayList<Double>();
		scan = new Scanner(input);
		
		while(scan.hasNextDouble()){
			try{
				inputValues.add(scan.nextDouble());
			} catch (InputMismatchException e) {
				JOptionPane.showMessageDialog(null,
                        new String("Please insert Double values for " + field),
                        "LAMDA - error message",
    				    JOptionPane.ERROR_MESSAGE);
    			System.exit(0);
			}
		}
		return inputValues;
	}
	
	
	
	public static Scanner getScan() {
		return scan;
	}

	public static void setScan(Scanner scan) {
		ParseOperations.scan = scan;
	}
	
}
