/**
* File: ProfitCalculation.java
* --------------------------------------------------------
* Calculates the profit for given resources and productivity values. 
* 
* Author:  Iris Lorscheid
* Date: May, 1st 2014 
*
*/

package library;

import observer.Observer;

public class ProfitCalculation {

	public static double calcProfit (int resources, double productivity, Observer observer){
		double profit = 0.0;
		
		if (resources <= observer.getOptCapacity()){
			profit+= productivity * resources;
		} 
		
		else {
			profit+= productivity * observer.getOptCapacity();
		
			if (resources <=observer.getMaxCapacity()){
				profit+=( productivity  - observer.getReductProd() ) * (resources - observer.getOptCapacity()); 
			} 
			else { 
				profit += ( productivity - observer.getReductProd() ) * (observer.getMaxCapacity() - observer.getOptCapacity());
				profit += resources - observer.getMaxCapacity();
			}
		}
		
		profit -= resources;
		
		return MathOperations.roundTo2(profit);
	}
	
}
