/**
File: GrovesMechanism.java
--------------------------------------------------------
Implements the incentive scheme Groves mechanism.
*
* Author:  Iris Lorscheid
* Date: May, 1st 2014 
*
*/
package mechanism;
import java.io.IOException;

import library.MathOperations;


public class GrovesMechanism extends Mechanism{

	/**
	 * Calculates the compensation according to the parameters of the Groves mechanism function
	 * 
	 * @param profit
	 * @param expProfitOpponent
	 * @param discount
	 * @param truthful
	 * @return compensation payment
	 * @throws IOException
	 */
	public static double calcCompensation(	double profit, double expProfitOpponent, 
																				double discount, boolean truthful) throws IOException{
	
		if(!truthful)
			return MathOperations.roundTo2(discount * (profit + expProfitOpponent));
		else
			return MathOperations.roundTo2(discount * (profit + expProfitOpponent)) * 1; // double value for truthful reporting
	}

}
